<?php

namespace App\Policies;

use App\Models\PatientMedia;
use App\Models\User;

class PatientMediaPolicy
{
    public function viewAny(User $user): bool
    {
        return $user->can('clients.view');
    }

    public function view(User $user, PatientMedia $patientMedia): bool
    {
        return $user->can('clients.view');
    }

    public function create(User $user): bool
    {
        return $user->can('medical_records.edit');
    }

    public function delete(User $user, PatientMedia $patientMedia): bool
    {
        return $user->can('medical_records.edit');
    }
}
